Bug 1110282 - (CVE-2018-17581) VUL-1: CVE-2018-17581: exiv2: CiffDirectory:readDirectory() at crwimage_int.cpp has excessive stack consumption
(CVE-2018-17581)
VUL-1: CVE-2018-17581: exiv2: CiffDirectory:readDirectory() at crwimage_int.c...
Status: NEW
Classification: Novell Products
Product: SUSE Security Incidents
Classification: Novell Products
Component: Incidents
unspecified
Other Other
: P4 - Low : Minor
: ---
Assigned To: Security Team bot
Security Team bot
https://smash.suse.de/issue/215886/
CVSSv3:SUSE:CVE-2018-17581:3.3:(AV:L...
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2018-10-01 07:11 UTC by Karol Babioch
Modified: 2022-11-29 17:40 UTC (History)
3 users (show)

See Also:
Found By: Security Response Team
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments
QA reproducer (256 bytes, application/octet-stream)
2018-10-01 12:08 UTC, Karol Babioch
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Karol Babioch 2018-10-01 07:11:38 UTC
CVE-2018-17581

CiffDirectory::readDirectory() at crwimage_int.cpp in Exiv2 0.26 has excessive
stack consumption due to a recursive function, leading to Denial of service.

References:
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2018-17581
http://people.canonical.com/~ubuntu-security/cve/2018/CVE-2018-17581.html
https://github.com/Exiv2/exiv2/issues/460
https://github.com/SegfaultMasters/covering360/blob/master/Exiv2
Comment 1 Karol Babioch 2018-10-01 12:08:58 UTC
Created attachment 784788 [details]
QA reproducer
Comment 4 Swamp Workflow Management 2020-04-03 10:23:38 UTC
SUSE-SU-2020:0860-1: An update that fixes 6 vulnerabilities is now available.

Category: security (moderate)
Bug References: 1040973,1110282,1142678,1142683,1153577,1161901
CVE References: CVE-2017-9239,CVE-2018-17581,CVE-2019-13110,CVE-2019-13113,CVE-2019-17402,CVE-2019-20421
Sources used:
SUSE Linux Enterprise Software Development Kit 12-SP5 (src):    exiv2-0.23-12.8.1
SUSE Linux Enterprise Software Development Kit 12-SP4 (src):    exiv2-0.23-12.8.1
SUSE Linux Enterprise Server 12-SP5 (src):    exiv2-0.23-12.8.1
SUSE Linux Enterprise Server 12-SP4 (src):    exiv2-0.23-12.8.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 5 Dirk Mueller 2022-11-14 21:20:29 UTC
Submitted for SLE15 and SLE15-SP4
Comment 7 Swamp Workflow Management 2022-11-23 20:26:45 UTC
SUSE-SU-2022:4208-1: An update that fixes 11 vulnerabilities is now available.

Category: security (important)
Bug References: 1050257,1095070,1110282,1119559,1119560,1119562,1142677,1142678,1153577,1186231,1189337
CVE References: CVE-2017-11591,CVE-2018-11531,CVE-2018-17581,CVE-2018-20097,CVE-2018-20098,CVE-2018-20099,CVE-2019-13109,CVE-2019-13110,CVE-2019-17402,CVE-2021-29473,CVE-2021-32815
JIRA References: 
Sources used:
openSUSE Leap 15.4 (src):    exiv2-0_26-0.26-150400.9.21.1
SUSE Linux Enterprise Module for Desktop Applications 15-SP4 (src):    exiv2-0_26-0.26-150400.9.21.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 8 Swamp Workflow Management 2022-11-29 17:40:54 UTC
SUSE-SU-2022:4276-1: An update that fixes 11 vulnerabilities is now available.

Category: security (important)
Bug References: 1050257,1095070,1110282,1119559,1119560,1119562,1142677,1142678,1153577,1186231,1189337
CVE References: CVE-2017-11591,CVE-2018-11531,CVE-2018-17581,CVE-2018-20097,CVE-2018-20098,CVE-2018-20099,CVE-2019-13109,CVE-2019-13110,CVE-2019-17402,CVE-2021-29473,CVE-2021-32815
JIRA References: 
Sources used:
openSUSE Leap 15.3 (src):    exiv2-0.26-150000.6.26.1
SUSE Manager Server 4.1 (src):    exiv2-0.26-150000.6.26.1
SUSE Manager Retail Branch Server 4.1 (src):    exiv2-0.26-150000.6.26.1
SUSE Manager Proxy 4.1 (src):    exiv2-0.26-150000.6.26.1
SUSE Linux Enterprise Server for SAP 15-SP2 (src):    exiv2-0.26-150000.6.26.1
SUSE Linux Enterprise Server for SAP 15-SP1 (src):    exiv2-0.26-150000.6.26.1
SUSE Linux Enterprise Server for SAP 15 (src):    exiv2-0.26-150000.6.26.1
SUSE Linux Enterprise Server 15-SP2-LTSS (src):    exiv2-0.26-150000.6.26.1
SUSE Linux Enterprise Server 15-SP2-BCL (src):    exiv2-0.26-150000.6.26.1
SUSE Linux Enterprise Server 15-SP1-LTSS (src):    exiv2-0.26-150000.6.26.1
SUSE Linux Enterprise Server 15-SP1-BCL (src):    exiv2-0.26-150000.6.26.1
SUSE Linux Enterprise Server 15-LTSS (src):    exiv2-0.26-150000.6.26.1
SUSE Linux Enterprise Module for Desktop Applications 15-SP3 (src):    exiv2-0.26-150000.6.26.1
SUSE Linux Enterprise High Performance Computing 15-SP2-LTSS (src):    exiv2-0.26-150000.6.26.1
SUSE Linux Enterprise High Performance Computing 15-SP2-ESPOS (src):    exiv2-0.26-150000.6.26.1
SUSE Linux Enterprise High Performance Computing 15-SP1-LTSS (src):    exiv2-0.26-150000.6.26.1
SUSE Linux Enterprise High Performance Computing 15-SP1-ESPOS (src):    exiv2-0.26-150000.6.26.1
SUSE Linux Enterprise High Performance Computing 15-LTSS (src):    exiv2-0.26-150000.6.26.1
SUSE Linux Enterprise High Performance Computing 15-ESPOS (src):    exiv2-0.26-150000.6.26.1
SUSE Enterprise Storage 7 (src):    exiv2-0.26-150000.6.26.1
SUSE Enterprise Storage 6 (src):    exiv2-0.26-150000.6.26.1
SUSE CaaS Platform 4.0 (src):    exiv2-0.26-150000.6.26.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.